Your submission was sent successfully! Close

USN-1541-1: libotr vulnerability

16 August 2012

Applications using Off-the-Record messaging plugins could be made to crash or run programs if it received specially crafted network messages.

Releases

Packages

  • libotr - Off-the-Record Messaging library

Details

Justin Ferguson discovered multiple heap overflows in libotr. A remote
attacker could use this to craft a malformed OTR message that could
cause a denial of service via application crash or possibly execute
arbitrary code.

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 12.04
Ubuntu 11.10
Ubuntu 11.04
Ubuntu 10.04

After a standard system update you need to restart any instant
messaging applications using an Off-the-Record messaging plugin to
make all the necessary changes.

References